| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::Volume::DualCell Struct Reference
Optional Components » Volume

To store the generated dual cells in a vector. More...

`#include <OgreVolumeDualGridGenerator.h>`

## Public Member Functions
| DualCell (const Vector3 &c0, const Vector3 &c1, const Vector3 &c2, const Vector3 &c3, const Vector3 &c4, const Vector3 &c5, const Vector3 &c6, const Vector3 &c7)

## Public Attributes
Vector3 | mC0
Vector3 | mC1
Vector3 | mC2
Vector3 | mC3
Vector3 | mC4
Vector3 | mC5
Vector3 | mC6
Vector3 | mC7

## Detailed Description

To store the generated dual cells in a vector.

## Constructor & Destructor Documentation

## ◆ DualCell()

Ogre::Volume::DualCell::DualCell | ( | const Vector3 & | c0,
|  | const Vector3 & | c1,
|  | const Vector3 & | c2,
|  | const Vector3 & | c3,
|  | const Vector3 & | c4,
|  | const Vector3 & | c5,
|  | const Vector3 & | c6,
|  | const Vector3 & | c7
| ) |  |
| inline

## Member Data Documentation

## ◆ mC0

Vector3 Ogre::Volume::DualCell::mC0

## ◆ mC1

Vector3 Ogre::Volume::DualCell::mC1

## ◆ mC2

Vector3 Ogre::Volume::DualCell::mC2

## ◆ mC3

Vector3 Ogre::Volume::DualCell::mC3

## ◆ mC4

Vector3 Ogre::Volume::DualCell::mC4

## ◆ mC5

Vector3 Ogre::Volume::DualCell::mC5

## ◆ mC6

Vector3 Ogre::Volume::DualCell::mC6

## ◆ mC7

Vector3 Ogre::Volume::DualCell::mC7

The documentation for this struct was generated from the following file:

- OgreVolumeDualGridGenerator.h